# Uses of Class
org.eclipse.emf.compare.ide.ui.subscriber.SubscriberProviderRegistry

Packages that use SubscriberProviderRegistry
Package
Description
org.eclipse.emf.compare.ide.ui.internal
org.eclipse.emf.compare.ide.ui.internal.subscriber

## Uses of SubscriberProviderRegistry in org.eclipse.emf.compare.ide.ui.internal

Methods in org.eclipse.emf.compare.ide.ui.internal that return SubscriberProviderRegistry
Modifier and Type
Method
Description
`SubscriberProviderRegistry`
EMFCompareIDEUIPlugin.`getSubscriberProviderRegistry()`
Returns the registry containing all known subscriber providers.

## Uses of SubscriberProviderRegistry in org.eclipse.emf.compare.ide.ui.internal.subscriber

Constructors in org.eclipse.emf.compare.ide.ui.internal.subscriber with parameters of type SubscriberProviderRegistry
Modifier
Constructor
Description
``
`SubscriberProviderRegistryListener(String pluginID, String extensionPointID, org.eclipse.core.runtime.ILog log, SubscriberProviderRegistry registry)`
Initialize a registry event listener for our handlers.